@echo off

REM Set input file name and output file name
set "input_file=%~1"
set "output_file=%~n1.gif"

echo.
echo "InputFile: %input_file%"
echo "OutputFile: %output_file%"


REM Generate the palette from the input file
%~dp0ffmpeg -i "%input_file%" -filter_complex "[0:v] palettegen" palette.png

REM Create the GIF using the palette
%~dp0ffmpeg -i "%input_file%" -i palette.png -filter_complex "[0:v][1:v] paletteuse" "%output_file%"

REM Cleanup intermediate files
del palette.png
echo Completed.